Snappy, The HostGator Mascot

Gator Crossing

The Official HostGator Company Blog!

Dragonfly
AirPlane

Snappy’s ProTips, pt. II

Written by Sean Valant

Saturday, February 23rd, 2013

The “Snappy’s ProTips” blog post series is an on-going effort to raise awareness regarding some of the most common support requests that we receive via ticket.  By and large, all issues covered in this series can be resolved quickly and easily by utilizing information contained within the HostGator KnowledgeBase.  As such, these issues can be addressed and resolved inrealtime, without necessarily needing to wait for a ticket response from a System Administrator.  The issues covered in this blog post series account for hundreds of support tickets each week.

snappys_protips02

We receive many support requests each week regarding PHP, specifically what PHP modules are supported and how to enable specific version of PHP on our shared servers.

Typing “php” into the search field on the KB will result in an auto-suggestion for the article “PHP Modules”: https://support.hostgator.com/articles/hosting-guide/hardware-software/php-modules

The above link is a comprehensive list of every PHP module that is currently installed on our Linux and Windows shared servers.  There is a very small number of caveats and exceptions, for example Imagic and Magicwand are currently only available on Linux servers and Oauth is installed, but must be enabled prior to use by adding the following line to the php.ini file: oauth:extension=oauth.so

As a rule, if the module is not on the list, then it is not compatible, or not allowed, on our shared environment.  VPS and Dedicated servers are significantly less restrictive when it comes to requesting/applying PHP modules.

 ***

The next most common support request involving PHP is how to enable a specific version, usually PHP 5.3, on shared servers.  As with every issue we’ll be addressing, full information is contained in the following KB article: https://support.hostgator.com/articles/hosting-guide/hardware-software/php-5-3

In a nutshell, this can be accomplished via a very simple addition to the .htaccess file:


# Use PHP 5.3
AddType application/x-httpd-php53 .php

It is very important to read and understand the associated KB article, because this can cause unexpected results relative to backwards compatibility issues with scripts; older PHP coding may not be compatible with newer versions of PHP.

If you are unfamiliar with the editing of an .htaccess files, the above KB article contains another link explaining that process.  I cannot be stressed enough that you should make these modifications with care, and be sure to read the entire KB article before proceeding, in order to gather all the relative information to ensure you are as informed as possible regarding the changes you will be making.  As always, you should create a full backup before making any changes of this nature to your account.

When in doubt, do join us in LiveChat so that we may assist you in realtime.  If you are ultimately performing an action that will require a support ticket to receive assistance from a System Administrator, then we’ll certainly create that ticket for you via LiveChat.

***

Please leave us a comment if you have any topic that you would like to be addresses via the on-going “Snappy’s ProTips” blog series.

Posted in

Tips and Tricks
Comments

One Response to Snappy’s ProTips, pt. II

  1. http://www.ilivehard.com/with- says:

    Thaks for information. I Like It !!!!!

qwaszxerdfcv3.14 | 1776zxasqw!!